import type { Ref, ToRefs } from 'vue';
/**
 * @public
 */
export interface UsePaginationParams {
    currentPage: Ref<number>;
    perPageSize: Ref<number>;
    totalSize: Ref<number>;
}
/**
 * @public
 */
export interface UsePaginationReturnType {
    currentPage: number;
    perPageSize: number;
    totalSize: number;
    readonly currentPerPageSize: number;
    readonly totalPageSize: number;
    readonly pageRange: number[];
    readonly currentStartSize: number;
    readonly currentEndSize: number;
    readonly isFirstPage: boolean;
    readonly firstPage: number;
    readonly isLastPage: boolean;
    readonly lastPage: number;
    readonly hasPrevPage: boolean;
    readonly prevPage: number;
    readonly hasNextPage: boolean;
    readonly nextPage: number;
}
/**
 * @public
 */
export declare function usePagination({ currentPage, perPageSize, totalSize, }: UsePaginationParams): ToRefs<UsePaginationReturnType>;
/**
 * @public
 */
export declare function useGuaranteePageSize(currentPage: Ref<number>, totalPageSize: Ref<number>): void;
/**
 * @public
 */
export declare function validatePageNumber(name: string, number: unknown): void;
/**
 * @public
 */
export declare function calcTotalPageSize(perPageSize: number, totalSize: number): number;
/**
 * @public
 */
export declare function isValidPageSize(currentPage: Ref<number>, totalPageSize: Ref<number>): boolean;
/**
 * @public
 */
export declare function createRange(last: number, first?: number): number[];
